Mailinglist Archive: opensuse-kde (368 mails)

< Previous Next >
Re: [opensuse-kde] qt4-qtscript broken
  • From: Raymond Wooninck <tittiatcoke@xxxxxxxxx>
  • Date: Wed, 4 Jan 2012 16:30:19 +0100
  • Message-id: <CABr1MKUFndsHyOK7ksDiHHvugNN5Vc7G4_XVCH=p9x=wBJZEfw@mail.gmail.com>
Hi Todd,

On Wed, Jan 4, 2012 at 2:09 PM, todd rme <toddrme2178@xxxxxxxxx> wrote:
The qt4-qtscript package in KDE:Qt is broken.  It appears it was
removed from openSUSE:Factory, which the version  in KDE:Qt linked to.
I also noticed the same, however there is a different problem with
qt4-qtscript.

If the package has been superseded by another, it should probably be
provided by that package, but it does not appear anything provides it.
The package itself has not been superseded by another package. The big
issue with qt4-qtscript is that it no longer builds with Qt 4.8. This
was already reported by several distributions, but it seems that the
package is no longer maintained. I have found that Fedora has created
a patch to at least build qt4-qtscript on top of Qt 4.8, however this
only gives partial functionality. Using this "patched" version still
delivers issues with non working scripts with Amarok.

I assume that based on the build-error, the decision has been taken to
remove the package from Factory. I know that this would mean that
Amarok will miss certain functionality, but the fact remains that the
qt4-qtscript is no longer maintained upstream.

Regards

Raymond
--
To unsubscribe, e-mail: opensuse-kde+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-kde+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References